## org.hibernate.testing.cache
Class BaseCacheRegionFactoryTestCase

    java.lang.Object
      junit.framework.Assert
          junit.framework.TestCase
              org.hibernate.testing.junit.UnitTestCase
                  org.hibernate.testing.junit.functional.FunctionalTestCase
                      org.hibernate.testing.cache.BaseCacheTestCase
                          org.hibernate.testing.cache.BaseCacheRegionFactoryTestCase

All Implemented Interfaces:
  junit.framework.Test, ExecutionEnvironment.Settings

    public abstract class BaseCacheRegionFactoryTestCase

extends BaseCacheTestCase

Author:
  Alex Snaps

Field Summary

Fields inherited from class org.hibernate.testing.junit.functional.FunctionalTestCase
`NO_CLASSES, NO_MAPPINGS`

Constructor Summary
`BaseCacheRegionFactoryTestCase(String x)`

Method Summary
`protected void` `configCache(Configuration cfg)`
`protected abstract Class` `getCacheRegionFactory()`
`protected Map` `getMapFromCachedEntry(Object entry)`

Methods inherited from class org.hibernate.testing.cache.BaseCacheTestCase
`configure, getBaseForMappings, getConfigResourceKey, getConfigResourceLocation, getMappings, testEmptySecondLevelCacheEntry, testQueryCacheInvalidation, testStaleWritesLeaveCacheConsistent, useTransactionManager`

Methods inherited from class org.hibernate.testing.junit.functional.FunctionalTestCase

`afterConfigurationBuilt, afterSessionFactoryBuilt, allowsPhysicalColumnNameInHaving, allowsPhysicalColumnNameInOrderby, appliesTo, assertAllDataRemoved, cleanupTest, createSchema, dialectIs, dialectIsCaseSensitive, dialectIsNot, dialectIsNot, dialectIsOneOf, dialectSupportsEmptyInList, getAnnotatedClasses, getCacheConcurrencyStrategy, getCfg, getDialect, getEnvironment, getSessions, isSerializableIsolationEnforced, openSession, openSession, overrideCacheStrategy, prepareTest, readCommittedIsolationMaintained, recreateSchemaAfterFailure, runTest, setEnvironment, setUp, sfi, skipExpectedFailure, supportsCircularCascadeDelete, supportsExpectedLobUsagePattern, supportsLobValueChangePropogation, supportsResultSetPositionQueryMethodsOnForwardOnlyCursor, supportsSubqueryOnMutatingTable, supportsSubselectOnLeftSideIn, supportsUnboundedLobLocatorMaterialization, tearDown`

Methods inherited from class org.hibernate.testing.junit.UnitTestCase
`assertClassAssignability, assertElementTypeAssignability, createFailureExpectedSuite, fullTestName, reportSkip, runBare`

Methods inherited from class junit.framework.TestCase
`countTestCases, createResult, getName, run, run, setName, toString`

Methods inherited from class junit.framework.Assert

`assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### BaseCacheRegionFactoryTestCase

    public BaseCacheRegionFactoryTestCase(String x)

Method Detail

### configCache

    protected void configCache(Configuration cfg)

  Specified by:
    `configCache` in class `BaseCacheTestCase`

### getCacheRegionFactory

    protected abstract Class getCacheRegionFactory()

### getMapFromCachedEntry

    protected Map getMapFromCachedEntry(Object entry)

  Specified by:
    `getMapFromCachedEntry` in class `BaseCacheTestCase`

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.